Bug 462717 - IPVS wrr scheduler bug
IPVS wrr scheduler bug
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Vitaly Mayatskikh
Network QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 10:40 EDT by Jack Neely
Modified: 2011-02-16 11:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 11:03:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Neely 2008-09-18 10:40:50 EDT
Description of problem:
The RHEL 4 kernels all seem to suffer from the WRR scheduler bug as documented by the third bullet point here:

   http://www.austintek.com/LVS/LVS-HOWTO/HOWTO/LVS-HOWTO.ipvsadm.html

Basically, there are specific situations where using the WRR IPVS scheduler will refuse to route packets to a configured and valid real server.

There are various patches following this thread:

   http://marc.theaimsgroup.com/?l=linux-virtual-server&m=110749794000222&w=2

Version-Release number of selected component (if applicable):
Verified this bug exists with release 78.0.1.EL.

How reproducible:
Documented in the first link above in the LVS Howto.
Comment 1 RHEL Product and Program Management 2010-10-12 17:10:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Vivek Goyal 2010-10-14 10:39:16 EDT
Committed in 89.43.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 7 errata-xmlrpc 2011-02-16 11:03:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.